Is this a patch I should install to all my NW 6.5SP5 Servers ??

I have installed the POST SP5 patch for the server.exe and NSS but not
this one.

Also, any particular order I should install this (if recommended).. ie
should I do the Certificate Server first ?

Thanks in advance
Doug